Summary:	A free chess program, plays decent game of chess
Name:		crafty
Version:	19.1
Release:	3mdk

Source:		%name-%version.tar.bz2
Patch0:		mk-linuxsparc.patch.bz2
License:	Distributable
Group:		Games/Boards
URL:		http://home.ican.net/~sjl/pages/crafty.html
Requires:	xboard
Buildroot:	%_tmppath/%name-%version-%release
ExcludeArch:	ppc

%description
Crafty is a chess program written by Bob Hyatt <hyatt@cis.uab.edu>. It is
modeled after Cray Blitz (also written by Bob).

Crafty has the following features:
  - written in C
  - can be compiled with the GNU C compiler on various platforms
  - has a customizable opening book (comes as a separate .rpm)
  - supports tablebases (Steven Edward's endgame database)
  - text interface

How can I get a graphical interface with Crafty? On Unix systems, you can use
XBoard with Crafty. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

# add linux-sparc support
%patch0

%build

if [ "sparc" = "`uname -m`" ]
then 
make linux-sparc
else
make
fi

%install
install -d %buildroot/%_bindir
install -d %buildroot/%_datadir
install -d %buildroot/%_docdir/%name-%version
install -d %buildroot/%_datadir/games/%name
install -d %buildroot/var/lib/games/%name

install -m 755 crafty %buildroot/%_bindir
#install -m 644 crafty.faq %buildroot/%_docdir/%name-%version
#install -m 644 crafty.doc.ascii %buildroot/%_docdir/%name-%version
#install -m 644 read.me %buildroot/%_docdir/%name-%version

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
#%doc crafty.faq crafty.doc.ascii read.me
%_bindir/*
%dir /var/lib/games/crafty
%dir %_datadir/games/crafty

%changelog
* Fri Nov 28 2003 Franck Villaume <fvill@freesurf.fr> 19.1-3mdk
- add linux-sparc support :)

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 19.1-2mdk
- rebuild

* Mon Oct 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 19.1-1mdk
- back, 19.1 

* Fri Jun 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.9-1mdk
- updated to 18.9

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.7-1mdk 
- updated to 18.7

* Wed Mar 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.6-1mdk
- updated to 18.6

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.3-1mdk
- updated to 18.3

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 17.7-4mdk
- ExcludeArch ppc
- Don't build for i686 on i586

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 17.7-3mdk
- BM

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com>  17.7-2mdk
- fix group
- spec helper fixes

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v17.7
- add docs

* Fri Mar 19 1999 Konstantin L. Metlov <metlov@fzu.cz>
- updated for Crafty 16.6
- moved tablebase directory to /usr/share/games/crafty . 
